# class RSS::Maker::TrackBackModel::TrackBackAboutsBase::TrackBackAboutBase

### Attributes

content[RW]
content=[RW]
resource[RW]
resource=[RW]
value[RW]

### Public Instance Methods

have_required_values?() click to toggle source

    # File lib/rss/maker/trackback.rb, line 29
    def have_required_values?
      @value
    end

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/trackback.rb, line 33
    def to_feed(feed, current)
      if current.respond_to?(:trackback_abouts) and have_required_values?
        about = current.class::TrackBackAbout.new
        setup_values(about)
        setup_other_elements(about)
        current.trackback_abouts << about
      end
    end